import request from '@/utils/request'

// 查询审核记录列表
export function listXyrecard(query) {
  return request({
    url: '/szxc/xyrecard/list',
    method: 'get',
    params: query
  })
}

// 查询审核记录详细
export function getXyrecard(id) {
  return request({
    url: '/szxc/xyrecard/' + id,
    method: 'get'
  })
}

// 新增审核记录
export function addXyrecard(data) {
  return request({
    url: '/szxc/xyrecard',
    method: 'post',
    data: data
  })
}

// 修改审核记录
export function updateXyrecard(data) {
  return request({
    url: '/szxc/xyrecard',
    method: 'put',
    data: data
  })
}

// 删除审核记录
export function delXyrecard(id) {
  return request({
    url: '/szxc/xyrecard/' + id,
    method: 'delete'
  })
}
